<p>Der WS-Reporter unterstützt verschiedene Sprachen, aktuell Deutsch, Englisch und Französisch.
Jedem Benutzer wird bei der Registrierung eine Sprache zugeordnet, die mit der Anmeldung aktiviert wird.
Mit dem Parameter <code>&amp;language</code> kann diese Zuordnung überschrieben werden.</p>
<p><b>Hinweis:</b> Datenquellen und Reports werden beim Einlesen übersetzt. Das hat zur Folge, dass 
ein Wechsel der Sprache und auch Übersetzungen (siehe unten) erst beim erneuten Einlesen der
jeweiligen Spezifikation wirksam werden.</p>
<p>Datenquellen und Reports werden in der jeweils aktiven Sprache erstellt und können auch später
nur in dieser Sprache bearbeitet, übersetzt, gespeichert und exportiert werden. Ausnahmen sind:
<ul>
<li> Temporäre Änderungen für aktuelle Ausgaben können in jeder Sprache vorgenommen werden.</li>
<li> Reports können in jeder Sprache gespeichert werden. Sie müssen dann aber neu eingelesen werden,
bevor die Übersetzung gepflegt oder die Spezifikation exportiert wird. Dabei kommt es zu Problemen,
wenn die Texte der Report-Definition nicht vollständig übersetzt sind.
</ul> 
<p>Übersetzungen von Datenquellen und Reports beziehen sich immer auf den jeweiligen Text, ohne Bezug zur Datenquelle.
Diese Übersetzungen müssen in jeder Hinsicht eindeutig sein. Dabei wird immer die gespeicherte Version übersetzt.
D.h. nach Änderungen muss die Datenquelle oder der Report gespeichert werden, bevor die Übersetzung gepflegt
werden kann.</p>
<h4>Sprachwechsel in der Report-Definition</h4>