<p>Wir sind der Auffassung, dass zum Einsatz in Unternehmen auch 
eine Statistik und die Dokumentation von Freigaben nach Tests gehört.
Diese Anforderungen sind hier rudimentär, d.h. ohne eine besondere Prüfung
von Berechtigungen und ohne spezielle Masken implementiert.</p>
<h3>Erstellen und Speichern</h3>
<p>Wir erfassen, wann und von wem ein Objekt, d.h. eine Datenquelle oder ein Report,
erstmals erstellt wurde automatisch. Ebenso werden Benutzer und Datum mit Uhrzeit
beim letztmaligen Speichern erfasst.</p>
<p>Wenn ein exportiertes Objekt importiert wird, werden Benutzer und Zeitpunkt
für die Erstellung aus dem letzten Speichern vor dem Export übernommen.
Damit kann dan z.B. kontrolliert werden, ob ein Objekt in der Entwicklungsumgebung
geändert wurde, nachdem ein Export in die Produktion stattgefunden hat.</p>
<h3>Freigaben und Verantwortliche</h3>
<p>Report-Definitionen können im Report-Editor freigegeben werden. Dazu wird "freigeben" 
aus den "weiteren Aktionen" ausgewählt. Diese Aktion dient nur der Information und
wird bei der Dokumentation der Report-Definition angezeigt. Eine besondere Berechtigung 
ist hier nicht erforderlich.</p>
<p>Darüber hinaus muss es u.E. möglich sein, Ansprechpartner unabhängig von diesen 
Prozessen zu benennen und einzutragen.</p>
<p>Mit den Datenquellen <code>WS_DQ_Admin</code> und <code>WS_Report_Admin</code> ist es deshalb 
möglich, Freigaben und Verantwortliche für einzelne Objekte (oder alle ausgewählten
Objekte) einzutragen. Die Reports dafür heißen <code>Datenquellen Freigaben und Zuständigkeiten</code>
und <code>Reports Freigaben und Zuständigkeiten</code>. Die Berechtigung für diese Datenquellen
wird über die Benutzerverwaltung vergeben.</p>
<p>Wenn in dem Report die Summenzeile aktiviert ist, können dort die Informationen
für alle angezeigten Objekte mit einer Eingabe eingetragen werden. Danach sollte
die Anzeige aktualisiert werden.</p>
<h3>Statistiken zur Benutzung</h3>
<p>Wann immer eine Datenquelle geladen wird oder ein Report ausgegeben wird,
speichert der WS Reporter das Datum (ohne Uhrzeit) und incrementiert den Zugriffszähler.
Mit den Reports <code>Benutzung von Datenquellen</code> und <code>Report-Infos</code>
können diese Informationen abgerufen werden. Mit diesen Datenquellen können
auch die anderen oben genannten Informationen in selbst erstellten Reports
ausgegeben werden.</p>
<p>Damit ist es u.a. möglich, nicht mehr verwendete Objekte zu identifizieren.</p>