<?php 
/**
 * Projekt: WS-Reporter
 *          Anzeige der Filter bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    22.02.2023 MS
 *
 */
require_once './includes/wsrTranslate.inc';
global $query;
?>
<table>
<tr><td><?=WSRTranslate::translate('Name')?></td>
<td class = "center"><?=WSRTranslate::translate('Zum Bearbeiten auf das Label klicken')?></td>
<td colspan=2><?=WSRTranslate::translate('Bewegen')?></td><td><?=WSRTranslate::translate('löschen')?></td></tr>
<?php
for ($i = 0; $i < count($query->filterVars); $i++){
?>
<tr  class="draggable" <?php dragNDdrop(3,$i,'drop')?>><th class="left " onclick="editVar(3,<?=$i ?>)"
  <?=makeTitle($query->getMetaRecord(3,$i)->description) ?>><?=$query->filterVars[$i] ?></th>
<td onclick="editVar(3,<?=$i ?>)"><?=$query->getMetaRecord(3,$i)->label ?></td>
<td onclick="moveUp(3,<?=$i ?>)" class="center"><?=iconUp() ?></td>
<td onclick="moveDown(3,<?=$i ?>)" class="center"><?=iconDown() ?></td>
<td onclick="delVar(3,<?=$i ?>)" class="center"><?=iconDelete() ?></td>
</tr>
<?php
}
?>
<tr><th class="left"><?=WSRTranslate::translateH('Neuer Filter')?></th>
<td title="<?=WSRTranslate::translate('Auswahlliste bei Muster mit ?')?>"
><?=WSRTranslate::translate('hier eintragen')?> <input type="text" onchange="newVar(3,this)" id="NV3" size="30"  autocomplete="off"/>
</td><td></td><td></td></tr>

</table>
<?php
if ($query->showMuster == 3){
    $liste = $query->listMuster();
    echo WSRTranslate::translate('Muster (ggf. anklicken)').':<br><table>';
    foreach ($liste as $name => $label){
        ?>
<tr <?=makeTitle($label[1])?>><th class="left" onclick="newMusterVar(3,'<?=$name ?>')"><?=$name ?></th>
<td onclick="newMusterVar(3,'<?=$name ?>')"><?=$label[0] ?></td></tr>
    <?php
	 }
	 ?>
	 <tr><th></th>
	 <th onclick="closeMuster(3)" ><?=WSRTranslate::translate('schließen')?></th></tr>
	 </table>	 
<?php
 }
	 
?>
