<table>
<?php
/**
 * Projekt: WS-Reporter
 *          Ausgabe der Report-Verweise im Report-Editor
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    6.7.2022 ms
 *
 */
global  $query;
require_once './includes/classes.inc';
?>
<table>
<tr><th>Report</th><th>Kommentar</th><th><span class="help" title=
"<?=WSRTranslate::translate("Wenn diese Option gesetzt ist, werden zusätzlich die 
Filter aus dem Aufruf (addFilter-Parameter) übergeben.
Die Filter aus der Report-Definition selbst, werden 
nur übergeben, wenn die Option 'Filter übernehmen' 
gesetzt ist.")?>"
><?=WSRTranslate::translate("Filter")?><br><?=WSRTranslate::translate("übernehmen")?></span></th><th>&nbsp;</th></tr>
<?php
if ($query->repReports == null )echo '<tr><th colspan="4">'.WSRTranslate::translate("FEHLER: repReports ist NULL").'</th></tr>';
else
for ($i = 0; $i < $query->repReports->size(); $i++){
    $rep = $query->repReports->getPos($i);
    ?>
		<tr <?php dragNDdrop("'ReportVerweise'", $i, 'drop')?>><th class="left"><?=$rep->getName() ?></th>
		<td><input type="text" size="60" onchange="setPosAttribute('ReportVerweise',<?=$i?>,'kommentar',this.value)" value="<?=quoteForText($rep->kommentar) ?>" /></td>
		<td class="center"><input type="checkbox"  onchange="setPosAttribute('ReportVerweise',<?=$i?>,'copyFilter',this.checked)"  <?= checked($rep->copyFilter)?>/></td>
		</td>
		<td class="nowrap right">
            <img src="./icons/go-up.png"   alt="auf" title="<?=WSRTranslate::translate("nach oben verschieben")?>" 
            class="icon" onclick="moveUp('ReportVerweise',<?=$i?>)" />
            <img src="./icons/go-down.png" alt="ab" title="<?=WSRTranslate::translate("nach unten verschieben")?>" 
            class="icon" onclick="moveDown('ReportVerweise',<?=$i?>)" />
            <img src="./icons/delete.png" alt="löschen" title="<?=WSRTranslate::translate("Eintrag löschen")?>" 
            class="icon" onclick="deleteVar('ReportVerweise',<?=$i?>)" />
		</td>				
		</tr>
		<?php 
		}
		?>
		<tr><th class="left"><span class="help" title="<?=WSRTranslate::translate("Auswahlliste mit ?")?>"
		><?=WSRTranslate::translate("Neuer Eintrag")?></span></th>
		<td colspan="3"><input type="text" size="80" onchange="addVar('ReportVerweise',this.value)" /></td>
		</tr>			
		
	</table>

<?php 
if ($query->showMuster == 203){
    $liste = $query->musterListe;
    echo WSRTranslate::translate("Report-Auswahl (ggf. anklicken)").':<br><table>';
    foreach ($liste as $name => $label){
        ?>
<tr <?=makeTitle($label[1])?>><th class="left" onclick="addVar('ReportVerweise','<?=$name ?>')"><?=$name ?></th>
</tr>
    <?php
	 }
	 ?>
	 <tr>
	 <th onclick="closeMuster(203)" ><?=WSRTranslate::translate("schließen")?></th></tr>
	 </table>	 
<?php
 }	 
?>
        
</table>