<p>Hier werden alle Datenquellen aufgelistet, die be der Report-Definition verknüpft werden. 
Das kann auch diese Datenquelle selbst sein, wenn sie mit anderen Filter-Einstellungen verknüpft werden soll.</p>
<p>Dabei muss als &quot;Report-Query-Klasse (Tabelle)&quot; der interne Name der Datenquelle angegeben werden. Mit einem 
Fragezeichen kann eine Auswahlliste aller bereits existierenden Datenquellen abgerufen werden. Beispielsweise
würde &quot;Demo?&quot; eine Liste aller Datenquellen, deren interner Name mit Demo beginnt liefern.</p> 
<p>Bei der Estellung der Reports werden die verknüpften Datenquellen separat abgefragt. Dabei werden gleichnamige 
Zeilen verwendet. Die Ergebnisse werden dann über diese Zeilen zusammengeführt.</p> 
<p>Ein Klick auf den Namen der verknüpfbaren Datenquelle öffnet dann den Editor für zusätzliche Berechnungen. 
Hier können zusätzliche Berechnungen definiert werden. Dazu wird zunächst der Name der neuen Variablen eingetragen.
Dann muss ein Label vergeben werden. Mit Klicks auf den kleinen Button neben dem Label öffnet und schließt man den 
Editor für die weiteren Angaben.</p> 
<p>Die Angeben entsprechen den Angaben zu den Werten mit zwei Ausnahmen:</p> 
<ol>
<li> Bei der Ermittlung müssen Werte aus der Basis-Quelle und der verknüpften Quelle verwendet werden. 
Dabei müssen immer die internen Namen aus der Definition der Quelle verwendet werden. Vor Werten aus der Basis-Quelle
wird ein "base." gesetzt. Vor Werten aus der verknüpften Quelle, wird ein "join." gesetzt.</li>
<li> Als Filter ist nur das von-bis-Intervall sinnvoll. Wie bei anderen Werte-Filtern wird auch hier die Anzeige der 
Daten nach ihrer Ermittlung eingeschränkt.</li></ol>  

<p>Zur Information werden auch die definierten Werte aus der verknüpften Datenquelle angezeigt. Beide Anzeigen werden
über das rot unterlegte Schließen-Symbol <span style="background-color: red">⊗</span>  geschlossen. Über die grün unterlegte Klick-Fläche 
<span style="background-color: green"><input type="checkbox" onclick="hideShowAll('jm',this.checked)" title="alles ein- oder ausblenden"></span> 
können alle Editoren der 
 zusätzlichen Berechnungen gleichzeitig geöffnet und wieder geschlossen werden.</p>
<p>Manchmal verdeckt die Fußzeile mit den Buttons den Editor. Deshalb kann sie über die Doppel-Pfeile <span class="clickFlaeche">&lt;&lt;</span>
ein- und wieder ausgefahren werden.</p> 