<p>Mit der Basisquelle können zusätzliche Datenquellen verknüpft werden. Dabei kann es 
sich um dieselbe Quelle handeln, aus der z.B. ein anderer Zeitraum ausgewählt wurde. 
Es kann aber auch eine andere Quelle mit einem ähnlichen Zeilen-Aufbau sein. Jede Quelle
kann beliebig oft verknüpft werden.</p>
<p>Eine Verknüpfung erhält ein eindeutiges Kennzeichen, A bis Z, dass bei der Auswahl 
der Werte und Filter vor dem Namen angezeigt wird. Zusätzlich kann ein "Prefix" 
vergeben werden, der in der Ausgabe die Herkunft der Spalte anzeigt.</p> 
<p>Das Kennzeichen ist vom Namen durch ein Doppelpunkt getrennt, wenn es sich um 
einen Wert oder Filter aus der verknüpften Datenquelle handelt. Bei Berechnungen 
aus Werten verschiedener Datenquellen ist das Kennzeichen durch ein Gleichheitszeichen 
vom Namen getrennt. Dann muss auch noch angegeben werden, mit welcher anderen Datenquelle
dieser Wert berechnet werden soll.</p> 
<h4>Verknüpfungs-Optionen</h4>
<p>Die verknüpften Datenquellen werden grundsätzlich separat abgefragt und aufbereitet. Anschließend
werden die Ergebnisse über passende Zeilen zusammengeführt. Folgende Optionen sind möglich:
<ul>
<li> <b>Werte</b>: Es können zusätzlich Werte aus den verknüpften Datenquellen
ausgewählt werden. Es werden aber nur die Zeilen ausgegeben, die schon in der Basisquelle
vorhanden sind.</li>  
<li> <b>Werte und Zeilen</b>: Es können zusätzlich Werte aus den verknüpften Datenquellen
ausgewählt werden. Dabei werden auch Zeilen ausgegeben, die nur in der verknüpften Quelle
vorhanden sind.</li>  
<li> <b>Spalten</b>: Die Werte aus der verknüpften Datenquelle werden in zusätzlichen 
Spalten-Gruppen angezeigt. Spalten-Variable und Wert kommen aus derselben Datenquelle.</li>  

</ul>

<p>In der Dokumentation des Reports ist eine Übersicht über die Zuordnung der passenden Zeilen 
aus den verschiedenen Datenquellen enthalten.</p>
 