<p>Der WS-Reporter ist ein für den Anwender einfaches Reporting-Tool. Dabei erfolgt die Vorbereitung und Dokumentation
der Daten in den &quot;Datenquellen&quot; durch technische Experten. Der Anwender stellt dann diese Daten in den &quot;Report-Definitionen&quot;
so zusammen, wie er sie braucht. Mit der entsprechenden Berechtigung können Report-Definitionen vom Anwender gespeichert und allgemein
zugänglich gemacht werden.</p> 
<p>Während viele gängig Reporting-Tools fertig aufbereitete Tabellen zur "narrensicheren" Abfrage voraussetzen, kennt 
der WS-Reporter zwei Besonderheiten, die vor allem die Datenaufbereitung wesentlich verenfachen und die Nutzung der Daten 
flexibilisieren:</p>
<ul>
<li> Dimensionen sind Tabellen mit Struktur-Informationen, die als spezielle Datenquellen deklariert und bei der
Spezifikation von Datenquellen zu Abfrage oder Eingabe von Werten verwendet werden. Technisch wird auf diese Tabellen
bei der Abfrage mit inner join oder left join genau dann zugegriffen, wenn Zeilen oder Filter aus der jeweiligen
Dimension im aktuellen Report verwendet werden.</li>
<li> Historisierung bezeichnet ein Konzept zum Umgang mit der Zeit in Abfragen und Reports. Z.B. kann für die 
Zuordnung von Werten in Strukturen, der aktuelle Stand dieser Struktur oder der Stand zum Entstehungs-Zeitpunkt
(z.B. Berichtsmonat) verwendet werden. 
</ul>
<p>Beide Themen sind in den entsprechenden Abschnitten zur Spezifikation von Datenquellen beschrieben und 
werden im Kapitel Datenaufbereitung grundsätzlicher diskutiert.</p> 